[P022]Strategic Emerging Industry Classification (SEIC)

get
https://connect.patsnap.com/high-value-data/seic-classification
Try in Sandbox

Receive strategic emerging industry classification data by patent_id or patent_number.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
lang
stringen
Select the language , you can choose cn or en.
patent_id
string1e099a74-4378-4b84-9d13-f1b4ed5cb59b,7353c607-0594-4592-b99e-aea9f517de17
patent_id
patent_number
stringCN110650438A
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringCN110650438A
Patent number
lang
stringen
language
patent_id
string1e099a74-4378-4b84-9d13-f1b4ed5cb59b
Patent id
seic_classification
arrayseic_classification
information of strategic emerging industries
seic_lv1
object{ "seic_no": "1", "seic_desc": "新一代信息技术产业" }
Primary information of strategic emerging industries
seic_no
string1.1
Strategic emerging industry classification id
seic_desc
string下一代信息网络产业
Strategic emerging industry classification
seic_lv2
object{ "seic_no": "1.1", "seic_desc": "下一代信息网络产业" }
Secondary information of strategic emerging industries
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "CN110650438A",
      "lang": "en",
      "patent_id": "1e099a74-4378-4b84-9d13-f1b4ed5cb59b",
      "seic_classification": [
        {
          "seic_lv1": {
            "seic_no": 1.1,
            "seic_desc": "下一代信息网络产业"
          },
          "seic_lv2": {
            "seic_no": 1.1,
            "seic_desc": "下一代信息网络产业"
          }
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found